using Valg.EVA.Skanning.ContainerExtensions;
using Unity;

namespace Valg.EVA.Skanning.Diagnostics
{
    public class UnityInstaller : IUnityInstaller
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Reliability", "CA2000:Dispose objects before losing scope")]
        public void Install(IUnityContainer unityContainer)
        {
            unityContainer.RegisterType<ITimingProbe, TimingProbe>(ContainerLifetimes.CreateContainerControlledLifetimeManager());
        }
    }
}
